Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ItemSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Item. More...

`#include <xfc/gtk/itemsignals.hh>`

Inheritance diagram for Xfc::Gtk::ItemSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_select ()
    Called when the item is selected.
- virtual void on_deselect ()
    Called when the item is deselected.
- virtual void on_toggle ()
    Called when the item is toggled.

## Protected Member Functions

Constructors

- ItemSignals (Item *item)
    Construct a new ItemSignals object.
- virtual ~ItemSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Item.

## Constructor & Destructor Documentation

Xfc::Gtk::ItemSignals::ItemSignals | ( | Item * | item | ) | `[protected]`

Construct a new ItemSignals object.

Parameters:

  | item | An Item object inheriting the ItemSignals implementation.

The documentation for this class was generated from the following file:

- itemsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3